Subject: RE: System Tray
From: "Gary R. Van Sickle" <[email-masked]>
To: <[email-masked]>
Date: Mon, 12 Dec 2005 20:21:43 -0600

> From: Lst Recv
> Sent: Monday, December 12, 2005 5:46 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: System Tray
> 
> Is there a library, or, even better, a command line utility, 
> in cygwin to place an icon on the system tray?
> 
> Would be a great way to do notifications, especially if it 
> supported those tool tip popups.
> 

There are a few libraries (actually example code, it's not terribly hard -
just hard to do right) to do this, yes.  But I don't quite understand your
question.  It sounds like you want to do something like:

put-an-alert-in-the-system-tray.exe --alert-type=stopsign
--tooltip-text="Emergency!"

Is that right?  I'm kind of missing the point though - what happens if you
click it?  Maybe a "--run-this-app-when-clicked=" param would make something
like this actually useful....

I'll have to cogitate on that one, that might actually be a good idea.

-- 
Gary R. Van Sickle

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/